QGIS Application - Bug report #16703
QGIS 3 : Node tool bug on pan
2017-06-12 01:32 PM - Arnaud Poncet-Montanges

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 24602
Description

Click and pan on the node tool creates a selection rectangle which makes QGIS crash.

The user should not do this, but | did it by mistake (and old habit) so it should not make qgis crash.

History

#1 - 2017-06-12 01:32 PM - Arnaud Poncet-Montanges
https://issues.qgis.org/attachments/download/11070/2017-06-12%2013_27_34-qgep_pully_poc_QGIS3%20-%20QG1S%20632a2be.png
#2 - 2017-06-13 02:04 PM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

- Assignee deleted (Regis Haubourg)

- Status changed from Open to Feedback
- Category changed from Edit widget to Digitising

just tested on the same platform on the latest master, no crash. Or maybe | have not understand how replicate so possibly attach your data and/or attach a

screencast.

#3 - 2017-07-07 02:22 PM - Richard Duivenvoorde

Tested here too, both on Debian Testing and Windows7 both master version.

With shp, gpkg and memory layers tested, no crashes.

When | pan (and drag the blue box you see) | just select other points...

Please add a way/data to reproduce, or else close this issue?

#4 - 2017-07-07 02:23 PM - Giovanni Manghi

- Status changed from Feedback to Closed
- Resolution set to not reproducable
Closing for lack of feedback.

#5 - 2017-09-21 08:03 AM - Arnaud Poncet-Montanges

Can't reproduce.

Files

2017-06-12 13_27_34-qgep_pully_poc_QGIS3 - QGIS 632a2be.png 2.58 KB 2017-06-12 Arnaud Poncet-Montanges
